package com.bonus.boot.manager.manager.dao;

import com.bonus.boot.manager.basic.entity.ZNode;
import com.bonus.boot.manager.manager.entity.OrgBean01;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PersonOrgDao {

    List<ZNode> getAlls(String companyId);

    int addOrg(OrgBean01 bean);

    int updateOrg(OrgBean01 bean);

    int deleteOrg(OrgBean01 bean);

    OrgBean01 findCompanyInfo(OrgBean01 o);

    List<ZNode> getCompanyTree(OrgBean01 bean);
}
